1. jaylynnb's Avatar
    I have purchased an unlocked/and jailbroken Apple Iphone 3g still running version 3.0. Now i want to update to the software 3.1.2/3.1.3 without losing my unlock or jailbreak since I am with Tmobile. Their are some apps that I want to purchase from the Apple Store and I can't buy it or download them becasue it says " Application Not Compatible - this application requires the iphone 3.1 software update"

    Here is the detils on my phone:

    Version: 3.0 (7A341)
    Modem Firmware 04.26.08


    Please get back to me ASAP. I appreciate it! Thanks!
    2010-06-14 09:41 PM
  2. iphonemystry's Avatar
    Hi jaylynnb. Yes you can update your iPhone to latest version, but i do suggest you before updating your iPhone must create a backup of you iPhone also create shsh file of your iPhone, because in case if your iPhone got locked and unactive then you will be able to resume back to its running condition. Further if that is T-Mobile then there will be no problem . Mostly At&t do bullshits like unactivating the iphone and locking the iphone after updating.
    2010-06-14 09:45 PM
  3. mikerlx's Avatar
    Don't do anything right now wait in case u lock your phone and don't have the ability to save shsh ur file etc there will be an unlock so be patient. Your phone works now so
    2010-06-14 09:50 PM
  4. jaylynnb's Avatar
    Thanks! What do you mean create shsh file? and back up? Like a file folder on my computer or what?
    2010-06-14 10:00 PM
  5. iphonemystry's Avatar
    Hi jaylynnb. Yes you can find this help for making shsh file from this link : Hack that Phone - iPhone 3G S: Restoring "forbidden" firmware
    Further the backup your files, contacts, msgs, pics and songs, etc from you iPhone as in case you can retrieve back your data.
    2010-06-14 10:06 PM
  6. jaylynnb's Avatar
    Okay got it! Now I Just need steps as to how I update my software, like use Itunes than ???? Do I need to do anything else besides back up my iphone? Or download anything with Cydia before updating it? I appreciate your help and time for reading this!
    2010-06-14 10:12 PM
  7. iphonemystry's Avatar
    hi jaylynnb, the itunes backup will be enough for your other contents. My pleasure to assist you, you can find more help and details for making shsh from this link : http://modmyi.com/forums/3g-s-downgr...s-folders.html .
    2010-06-14 10:15 PM
  8. i.Annie's Avatar
    iPhone 3G does not have the option to back up SHSH files. That only applies to 3GS phones.

    You may download the 3.1.2 ipsw from the downloads section here on MMi then hit Shift+Restore through iTunes. Select the ipsw you downloaded the restore to it.

    You may jailbreak it with Blackra1n and unlock with Blacksn0w (which will come with Blackra1n).

    Blackra1n is pretty straight forward. Run it on your phone when the restore is complete, then when that has finished, access the Blackra1n app on your Springboard. Install Cydia (RockApp optional) and Blacksn0w. When that is complete, re-enter Blackra1n app and select Delete to remove it from your phone (as it is not necessary anymore after you have completed the processes).

    You should be fully jailbroken and unlocked at this point.
    2010-06-14 10:38 PM
  9. jaylynnb's Avatar
    Yeah I saw that also! So when I DL 3.1.2 ipsw , What do I do next? Do I have to DL that first even if I have cydia already or what? Ive read overviews about unlocking and jailbreaking with Blackra1n and Blacksn0w, Just need a step by step. Do I update my software on Itunes first?
    2010-06-14 10:45 PM
  10. i.Annie's Avatar
    You want to restore your phone to 3.1.2 first. You go to iTunes with your phone plugged in, then hit restore WHILE HOLDING DOWN SHIFT on your keyboard.

    You will be prompted to select an ipsw restore to. That is when you select 3.1.2 which you shouldve downloaded already.

    Let the phone restore then follow the rest of my directions with Blackra1n and Blacksn0w.

    This process is basically resetting your phone to factory on 3.1.2. DO NOT UPDATE (MEANING DO NOT HIT THE UPDATE BUTTON) to 3.1.3 or you will lose your unlock.
    Last edited by i.Annie; 2010-06-14 at 10:53 PM. Reason: Automerged Doublepost
    2010-06-14 10:53 PM
  11. jaylynnb's Avatar
    Okay but my phone is currently running version 3.0 ( I know OLD lol) So doing all that I will be running a 3.12 software or 3.1.3? I just want to update my software so i can dl some ogf those apps from the Apple Store. Because It wount let me DL some because it says my software is not compatible.
    2010-06-14 11:00 PM
  12. Bo Troxell's Avatar
    ^ yes, you'll be running 3.1.2
    2010-06-14 11:05 PM
  13. i.Annie's Avatar
    If you download the 3.1.2 ipsw, you should be on 3.1.2.

    Make sure it isnt a stock 3.1.3 you will lose your unlock.
    2010-06-14 11:07 PM
  14. jaylynnb's Avatar
    Okay, thanks. I will try this out. Thank you for your help!
    2010-06-14 11:17 PM
  15. iYeow's Avatar
    Okay, thanks. I will try this out. Thank you for your help!
    I like to keep my baseband at 04.26.08, if you want to do that, follow this method

    While you are at 3.0 fw :
    Download Redsn0w 0.8 and jailbreak it
    Download 3.1.3 ipsw and download Pwnage Tools 3.1.5 or Snowbreeze 1.5.2 and create a cfw of 3.1.3
    Do another restore again to the cfw you created on your desktop
    Once finished , you are all set . Whenever you want to unlock, install Ultrasn0w again.

    If you are still at 3.0, I will assist you now

    Just realized you are already jailbroken at 3.0.
    I assume you have a pc, download snowbreeze 1.5.2 and the 3G 3.1.3 ipsw and go ahead and create the cfw.
    You can use the expert mode. and check the Rocks if you like.
    Once created, it is on your desktop, do a shift + restore to the cfw on your desktop
    When you are finished restoring , you are already jailbroken at 3.1.3 and install Ultrasn0w to unlock.
    You are all set
    Last edited by iYeow; 2010-06-15 at 04:20 AM. Reason: Automerged Doublepost
    2010-06-15 04:20 AM
  16. jaylynnb's Avatar
    Yes I am still at 3.0 and baseband at 04.26.08. Where do I DL snowbreeze 1.5.2? and do I go ahead and update on itunes???
    2010-06-15 04:29 AM
  17. iYeow's Avatar
    www.iH8sn0w.com , yeah you can go ahead and update itunes

    Are you jailbroken at 3.0 yet ?
    Last edited by iYeow; 2010-06-15 at 04:38 AM.
    2010-06-15 04:36 AM
LINK TO POST COPIED TO CLIPBOARD